# $Revision: 1.34 $, $Date: 2006/12/07 00:16:18 $
Summary:	Cogito - a popular version control system built on top of git
Summary(pl):	Cogito - popularny system kontroli wersji korzystajcy z git
Name:		cogito
Version:	0.18.2
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	http://kernel.org/pub/software/scm/cogito/%{name}-%{version}.tar.bz2
# Source0-md5:	313697c1a9846d5a73ffe79d2c088faa
URL:		http://kernel.org/pub/software/scm/cogito/
BuildRequires:	asciidoc
BuildRequires:	curl-devel
BuildRequires:	openssl-devel
BuildRequires:	xmlto
BuildRequires:	zlib-devel
Requires:	bash
Requires:	diffutils
Requires:	git-core
Requires:	mktemp >= 1.5
Requires:	perl-base
Requires:	rcs
Requires:	rsync
Requires:	sh-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cogito is the most popular version control system on top of GIT. It
aims at seamless user interface and ease of use, providing generally
smoother user experience than the "raw" Core GIT itself and indeed
many other version control systems.

%description -l pl
Cogito jest najpopularniejszym system kontroli wersji bdcy nakadk
na GIT. W zamierzeniu ma to by spjny i atwy w uyciu interfejs
dostarczajc lepszych wrae z uywania ni "czysty" GIT czy inne
systemy kontroli wersji.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall '-DSHA1_HEADER=\$(SHA1_HEADER)'"

%{__make} -C Documentation

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix}

%{__make} -C Documentation install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# COPYING contains additional note
%doc COPYING README Documentation/*.html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_prefix}/lib/cogito
%{_datadir}/cogito
%{_mandir}/man*/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cogito.spec,v $
Revision 1.34  2006/12/07 00:16:18  arekm
- up to 0.18.2

Revision 1.33  2006/09/29 15:56:45  arekm
- up to 0.18

Revision 1.32  2006/07/17 17:22:39  witekfl
- proper permissions for /usr/share/cogito

Revision 1.31  2006/07/17 16:44:27  witekfl
- proper permisions for /usr/lib/cogito
- rel 3

Revision 1.30  2006/07/16 17:04:35  witekfl
- patch0 is unnecessary
- adapterized
- rel 2

Revision 1.29  2006/06/27 08:02:42  pluto
- updated to 0.17.3.

Revision 1.28  2006/04/16 15:30:31  pluto
- fix noarch error: cogito-0.17.2-1.noarch.rpm files differ among builders.
- release 2.

Revision 1.27  2006/04/13 12:52:32  spider
- up to 0.17.2

Revision 1.26  2006/03/29 07:58:41  spider
- up to 0.17.1

Revision 1.25  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.24  2006/01/16 07:42:47  arekm
- up to 0.16.3

Revision 1.23  2006/01/12 10:48:53  witekfl
- noarch
- R: bash, perl-base
- rel 3

Revision 1.22  2006/01/11 11:09:25  witekfl
- built documentation (BR:asciidoc and xmlto)
- rel 2

Revision 1.21  2005/12/21 21:36:45  adamg
- updated to 0.16.2

Revision 1.20  2005/12/05 14:10:47  spider
- up to 0.16

Revision 1.19  2005/10/11 19:38:13  qboosh
- cosmetics

Revision 1.18  2005/10/11 19:22:32  adamg
- more accurate pl/en summary/description
- Requires: git-core

Revision 1.17  2005/10/11 19:13:50  adamg
- (hopefully) fixed build on amd64

Revision 1.16  2005/09/22 09:02:54  spider
- up to 0.15

Revision 1.15  2005/09/13 08:51:57  spider
- up to 0.14

Revision 1.14  2005/08/08 11:24:22  spider
- up to 0.13

Revision 1.13  2005/07/25 10:41:39  spider
- adaptarized

Revision 1.12  2005/07/13 10:01:46  spider
- small cosmetics

Revision 1.11  2005/07/13 09:48:55  spider
- up to 0.12.1

Revision 1.10  2005/07/13 09:42:49  spider
- up to 0.12

Revision 1.9  2005/06/09 21:09:05  spider
- up to 0.11.3

Revision 1.8  2005/06/05 21:05:24  spider
- up to 0.11.1

Revision 1.7  2005/05/10 19:10:45  qboosh
- safer files, restored COPYING (see note)

Revision 1.6  2005/05/10 07:08:11  spider
- up to 0.10
- please check _libdir in %files section

Revision 1.5  2005/04/29 17:11:53  qboosh
- md5, optflags

Revision 1.4  2005/04/29 17:06:49  qboosh
- pl, partial cleanup

Revision 1.3  2005/04/29 11:31:57  spider
- cosmetics

Revision 1.2  2005/04/29 11:11:41  spider
- missing log section

* Wed Apr 27 2005 Terje Rosten <terje.rosten@ntnu.no> 0.8-2
- Doc files
- Use %%{_prefix} macro
- Rename spec file
- Drop -n option to %%setup macro

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.8-1
- Update to cogito, rename package, move to /usr/bin, update prereqs

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.7-1
- Update to 0.7

* Thu Apr 21 2005 Chris Wright <chrisw@osdl.org> 0.6.3-1
- Initial rpm build
